Blackbaud logo

Complete the form below to let us know the status of your TLS compatibility upgrade.

To remain PCI-compliant and to ensure your data is safe, as of March 15, 2018, Blackbaud has begun to disable TLS 1.0 in all solutions. In order to confirm that you are prepared for the deprecation deadline, please complete the form below immediately.